Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.impl.bridge
Class QueryResultsRegionAdapter

    java.lang.Object
      org.hibernate.cache.impl.bridge.BaseRegionAdapter
          org.hibernate.cache.impl.bridge.BaseGeneralDataRegionAdapter
              org.hibernate.cache.impl.bridge.QueryResultsRegionAdapter

All Implemented Interfaces:
  GeneralDataRegion, QueryResultsRegion, Region

    public class QueryResultsRegionAdapter

extends BaseGeneralDataRegionAdapter
implements QueryResultsRegion

Adapter specifically briding `QueryResultsRegion` to `Cache`.

Author:
  Steve Ebersole

Field Summary

Fields inherited from class org.hibernate.cache.impl.bridge.BaseRegionAdapter
`settings, underlyingCache`

Constructor Summary
`protected` | `QueryResultsRegionAdapter(Cache underlyingCache, Settings settings)`

Method Summary

Methods inherited from class org.hibernate.cache.impl.bridge.BaseGeneralDataRegionAdapter
`evict, evictAll, get, put`

Methods inherited from class org.hibernate.cache.impl.bridge.BaseRegionAdapter
`clear, contains, destroy, getElementCountInMemory, getElementCountOnDisk, getName, getSizeInMemory, getTimeout, nextTimestamp, toMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.cache.GeneralDataRegion
`evict, evictAll, get, put`

Methods inherited from interface org.hibernate.cache.Region
`contains, destroy, getElementCountInMemory, getElementCountOnDisk, getName, getSizeInMemory, getTimeout, nextTimestamp, toMap`

Constructor Detail

### QueryResultsRegionAdapter

    protected QueryResultsRegionAdapter(Cache underlyingCache,
                                        Settings settings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.